mod beat_tracking;
mod output;

use neon::prelude::*;

#[neon::main]
fn main(mut cx: ModuleContext) -> NeonResult<()> {
    cx.export_function("listPorts", output::list_ports)?;
    cx.export_function("openOutput", output::open_output)?;
    
    cx.export_function("getBeatTracker", beat_tracking::get_beat_tracker)?;
    Ok(())
}
